# -*-makefile-*-
# $Id: template-make 9053 2008-11-03 10:58:48Z wsa $
#
# Copyright (C) 2012 PHYTEC Messtechnik GmbH
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_LOGTEMPS_SCRIPT) += logtemps_script

#
# Paths and names
#
LOGTEMPS_SCRIPT_VERSION	:= 2.0
LOGTEMPS_SCRIPT_MD5	:= efb53b7790d08f3ddc87cf4bab3f046b
LOGTEMPS_SCRIPT		:= logtemps-$(LOGTEMPS_SCRIPT_VERSION)
LOGTEMPS_SCRIPT_SUFFIX	:= tar.gz
LOGTEMPS_SCRIPT_URL	:= file://$(PTXDIST_WORKSPACE)/local_src/logtemps-$(LOGTEMPS_SCRIPT_VERSION).$(LOGTEMPS_SCRIPT_SUFFIX)
LOGTEMPS_SCRIPT_DIR	:= $(BUILDDIR)/$(LOGTEMPS_SCRIPT)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(LOGTEMPS_SCRIPT_SOURCE):
#	@$(call targetinfo)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/logtemps_script.extract:
	@$(call targetinfo)
	@$(call clean, $(LOGTEMPS_SCRIPT_DIR))
	@$(call extract, LOGTEMPS_SCRIPT)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/logtemps_script.compile:
	@$(call targetinfo)
	echo $(CROSS_ENV)
	cd $(LOGTEMPS_SCRIPT_DIR) && $(CROSS_ENV) $(MAKE)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/logtemps_script.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/logtemps_script.targetinstall:
	@$(call targetinfo)
	@$(call install_init, logtemps_script)

	@$(call install_copy, logtemps_script, 0, 0, 0755, \
		$(LOGTEMPS_SCRIPT_DIR)/logtemps, \
		/usr/sbin/logtemps)

	@$(call install_finish, logtemps_script)
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

logtemps_script_clean:

# vim: syntax=make
